#!/bin/sh

function setdefault() {
	sed -i 's/tint2/fbpanel/g' ~/.config/openbox/autostart.sh
}

function fbnohide() {
	sed -i 's/    autohide = true/    autohide = false/' ~/.fbpanel/default
}

function fbhidden() {
	sed -i 's/    autohide = false/    autohide = true/' ~/.fbpanel/default
}

function refresh() {
	killall tint2
	killall fbpanel
	fbpanel &
}


case "$1" in
	setnohide)
		setdefault
		fbnohide
		refresh
	;;
	sethidden)
		setdefault
		fbhidden
		refresh
	;;
	*)
		echo "This script accepts the following arguments : setnohide, sethidden"
esac
