#!/bin/sh

function setdefault() {
	sed -i 's/fbpanel/tint2/g' ~/.config/openbox/autostart.sh
}

function docknohide() {
	sed -i 's/<autoHide>yes<\/autoHide>/<autoHide>no<\/autoHide>/' ~/.config/openbox/rc.xml
}

function dockhidden() {
	sed -i 's/<autoHide>no<\/autoHide>/<autoHide>yes<\/autoHide>/' ~/.config/openbox/rc.xml
}

function refresh() {
	killall fbpanel
	killall tint2
	openbox --reconfigure
	tint2 &
}

case "$1" in
	setnohide)
		setdefault
		docknohide
		refresh
	;;
	sethidden)
		setdefault
		dockhidden
		refresh
	;;
	*)
		echo "This script accepts the following arguments : setnohide, sethidden"
esac
