#!/bin/sh

case "$1" in
	set)
	sed -i 's/#xcompmgr -CfF/xcompmgr/g' ~/.config/openbox/autostart.sh
	sed -i 's/#xcompmgr/xcompmgr/g' ~/.config/openbox/autostart.sh
	xcompmgr &
	;;
	unset)
	sed -i 's/xcompmgr/#xcompmgr/g' ~/.config/openbox/autostart.sh
	killall xcompmgr
	;;
	setshaded)
	sed -i 's/#xcompmgr -CfF/xcompmgr -CfF/g' ~/.config/openbox/autostart.sh
	sed -i 's/#xcompmgr/xcompmgr -CfF/g' ~/.config/openbox/autostart.sh
	xcompmgr -CfF &
	;;
	*)
		echo "This script accepts the following arguments : set, setshaded, unset"
esac
